%define	upstream_name    Net-DBus
%define	upstream_version 1.0.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl API to the DBus message system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::Twig)
BuildRequires: libdbus-devel
BuildRequires: perl-devel
%description
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.32 development version of DBus,
but should work with later versions too, providing the API changes have not
been too drastic.

Users of this package are either typically, service providers in which case the
Net::DBus::Service and Net::DBus::Object modules are of most relevance, or are
client consumers, in which case Net::DBus::RemoteService and
Net::DBus::RemoteObject are of most relevance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
#%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc AUTHORS CHANGES LICENSE META.yml README examples
%{_mandir}/*/*
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 370512
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0.0-2.mga3
+ Revision: 250983
- rebuild for perl 5.16

* Fri Jul 08 2011 jquelin <jquelin> 1.0.0-1.mga2
+ Revision: 120627
- update to 1.0.0

* Sun Jun 12 2011 ahmad <ahmad> 0.33.6-9.mga2
+ Revision: 104558
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 0.33.6-8.mga1
+ Revision: 23270
- rebuild for new perl

  + jquelin <jquelin>
    - imported package perl-Net-DBus

